{"openapi":"3.0.2","info":{"title":"Helper backend server (Production stage)","description":"This api server for communication for Helper backend server (Production stage) client applications","version":"2021.05"},"paths":{"/":{"get":{"summary":"Welcome","operationId":"welcome__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/app/info":{"get":{"tags":["App Information"],"summary":"Get App Info For Client","description":"서비스 정보 조회","operationId":"get_app_info_for_client_app_info_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppInfoItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}}}}},"/app/{platform}/versions/compare":{"get":{"tags":["app version"],"summary":"앱 버전 비교","description":"요청 클라이언트의 버전과 현재 활성화 된 버전과 비교한 결과를 리턴합니다","operationId":"manage_app_version_compare_app__platform__versions_compare_get","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":true,"schema":{"title":"현재 App 의 버전","type":"string","example":"0.1.0"},"name":"current_version","in":"query"},{"required":false,"schema":{"title":"비교 요구 버전","type":"string","default":"latest","example":"latest"},"name":"compare_version","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppVersionCompare"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/app/{platform}/{version}":{"get":{"tags":["app version"],"summary":"앱 버전정보 조회","description":"해당 버전에 대한 패치, 업데이트 내역을 조회합니다.","operationId":"manage_app_version_info_app__platform___version__get","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":true,"schema":{"title":"요청 App 버전","type":"string","example":"[0.1.0|latest]"},"name":"version","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppVersionInfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/alarm/area":{"post":{"tags":["Caregiver work area alarm router"],"summary":"Set Caregiver Work Area Notification","description":"# 지역 알람 설정\n\n## 가능한 경우의 수\n\n- 전국\n- 일부 지역\n- 알람 거부\n\n### 전국\n전국의 경우 단순히 전국을 나타내는 인덱스 1번만 리스트에 포함시켜서 진행하면 됩니다.\n```\n    {\n            \"address_list\": [\n                1\n            ]\n    }\n```\n\n### 일부 지역\n알람을 받을 지역 인덱스를 리스트로 넘겨주면 됩니다.\n\n하지만 전국 인덱스인 1번과 같이 사용하면 안됩니다.\n```\n    {\n        \"address_list\": [\n            2,\n            3,\n            4,\n            5,\n            6,\n            7\n        ]\n    }\n```\n\n### 알람 거부\n알람 거부의 경우 리스트에 빈 값을 보내면 됩니다.\n```\n    {\n        \"address_list\": [\n        ]\n    }\n```","operationId":"set_caregiver_work_area_notification_caregiver_alarm_area_post","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkAreaNotificationForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/alarm/me":{"get":{"tags":["Caregiver work area alarm router"],"summary":"Get My Alarm Notification List","description":"# 간병인 지역 일자리 알람 신청 조회\n\n해당 토큰을 통해 간병인 개인의 일자리 알람 신청 지역 조회\n`address_lite_idx`가 대분류의 지역 레코드 인덱스","operationId":"get_my_alarm_notification_list_caregiver_alarm_me_get","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkAreaNotifications"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/pass":{"get":{"tags":["Caregiver pass Management"],"summary":"Get Pass Info","description":"# 서비스 이용권 종류 조회\n\n전체 서비스 이용권 종류 조회\n`period` 의 경우 해당 이용권 기간을 뜻함 즉 1은 1달 의미\n`ios_cost` 의 경우 ios 에서 이용권 가격\n`android_cost` 의 경우 android 에서 이용권 가격","operationId":"get_pass_info_caregiver_pass_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePasses"}}}}}},"post":{"tags":["Caregiver pass Management"],"summary":"Purchase Service Pass","description":"# 결제 정보 검증 밑 관련 정보 받아 확인\n\n애플인지 안드로이드 인지 구분해서 결제 정보 검증 필요\n현재 진행중","operationId":"purchase_service_pass_caregiver_pass_post","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPassForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/pass/me":{"get":{"tags":["Caregiver pass Management"],"summary":"Get My Pass Info","operationId":"get_my_pass_info_caregiver_pass_me_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPasses"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/pass/{pass_idx}":{"get":{"tags":["Caregiver pass Management"],"summary":"Get Pass By Idx","description":"# 이용권 개별 조회\n\n해당 이용권 레코드 인덱스 요청시 개별 이용권 조회","operationId":"get_pass_by_idx_caregiver_pass__pass_idx__get","parameters":[{"required":true,"schema":{"title":"패스 레코드 인덱스","type":"integer","example":1},"name":"pass_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/passtoss":{"post":{"tags":["Caregiver pass Management"],"summary":"Purchase Service Pass By Toss","operationId":"purchase_service_pass_by_toss_caregiver_passtoss_post","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPassTossForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/work":{"get":{"tags":["Caregiver work"],"summary":"Get Work Info","description":"# 지역 조회\n\nfilters 쿼리로 지역 조회\n\n특정 시/도 조회시 각 지역 인덱스를 filters에 추가 해서 조회\n\n```\n?filters=2,3,4,5,6\n```\n\n### 주의할 점\n\n특정 지역인덱스와 전국 인덱스인 1번 인덱스를 같이 넣어서 보낼 경우 전체조회로 진행","operationId":"get_work_info_caregiver_work_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patients"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/work/patient/{patient_idx}":{"get":{"tags":["Caregiver work"],"summary":"Check Apply Work","description":"# 해당 환자 간병 신청했는지 조회\n\n2개의 응답이 존재합니다.\n\n만약 간병 신청했을 경우\n```\n    result = True\n    message = 'Already apply work'\n```\n\n간병 신청하지 않은 경우\n```\n    result = False\n    message = 'Not applied'\n```","operationId":"check_apply_work_caregiver_work_patient__patient_idx__get","parameters":[{"description":"업무 지원한 환자인지 확인하려는 환자 레코드 인덱스","required":true,"schema":{"title":"환자 레코드 인덱스","type":"integer","description":"업무 지원한 환자인지 확인하려는 환자 레코드 인덱스","example":1},"name":"patient_idx","in":"path"},{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Caregiver work"],"summary":"Apply Work","operationId":"apply_work_caregiver_work_patient__patient_idx__post","parameters":[{"description":"간병 진행할 환자 레코드 인덱스","required":true,"schema":{"title":"환자 레코드 인덱스","type":"integer","description":"간병 진행할 환자 레코드 인덱스","example":1},"name":"patient_idx","in":"path"},{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverTask"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/work/{state}/me":{"get":{"tags":["Caregiver work"],"summary":"Get My Work","operationId":"get_my_work_caregiver_work__state__me_get","parameters":[{"description":"apply, done","required":true,"schema":{"title":"상태","allOf":[{"$ref":"#/components/schemas/app__modules__caregiver__caregiver_work_router__StateEnum"}],"description":"apply, done"},"name":"state","in":"path"},{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patients"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/work/patient/{caregiver_task_idx}":{"delete":{"tags":["Caregiver work"],"summary":"Delete My Work","operationId":"delete_my_work_caregiver_work_patient__caregiver_task_idx__delete","parameters":[{"description":"삭제하려는 간병인 업무 레코드 인덱스 입력","required":true,"schema":{"title":"간병인 업무 레코드 인덱스","type":"integer","description":"삭제하려는 간병인 업무 레코드 인덱스 입력","example":1},"name":"caregiver_task_idx","in":"path"},{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/push":{"post":{"tags":["Caregiver push token"],"summary":"Create Device Push Token","operationId":"create_device_push_token_caregiver_push_post","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPushTokenForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver":{"get":{"tags":["Caregiver User Management"],"summary":"Get Caregivers","description":"# 검색필터\n\n- gender: 'male', 'female'\n- location: 시/도 - 큰 분류의 시, 도 레코드 인덱스 요청 ( 전체의 경우 해당 필터 포함 X)\n- detail_location: 시/군/구 - 작은 분류의 인덱스 요청 ( 전체의 경우 상위 location 레코드 인덱스만 전달)\n- index: 간병인 레코드 - 단일 레코드를 요청 (해당 필터가 들어갈 경우 다른 필터 적요되지 않고 우선 적용)\n- purchase: 간병인 결제 여부 필터\n\n```\n    # 여성, 경기도, 수원시 장안구\n    gender=female|location=10|detail_location=102\n\n    # 성별 무관, 경기도\n    location=10\n\n    # 성별 남성, 전국\n    gender=male\n\n    # 가져오려는 단일 레코드\n    index=1\n\n    # purchase\n\n```","operationId":"get_caregivers_caregiver_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiversWithWork"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Caregiver User Management"],"summary":"Update User Account","description":"# 회원정보 수정","operationId":"update_user_account_caregiver_put","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverUpdateForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Caregiver"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Caregiver User Management"],"summary":"Create User Account","description":"# 회원가입","operationId":"create_user_account_caregiver_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverWithToken"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/me":{"get":{"tags":["Caregiver User Management"],"summary":"Get Me","description":"# 개인 정보 조회\n\n발급받은 토큰을 통해 개인 입력한 정보 조회","operationId":"get_me_caregiver_me_get","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Caregiver"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/":{"delete":{"tags":["Caregiver User Management"],"summary":"Get Me","description":"# 회원 탈퇴","operationId":"get_me_caregiver__delete","parameters":[{"required":true,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/token":{"post":{"tags":["Caregiver User Management"],"summary":"Token","description":"# 토큰 발급 ( 로그인 )","operationId":"token_caregiver_token_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverAuthForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/code/{phone_number}":{"post":{"tags":["Caregiver User Management"],"summary":"Request Code","description":"# 핸드폰 인증 요청\n\n간병인 회원 가입 위해 핸드폰 인증 요청\n(010까지 포함해서 진행, '-' 없이)","operationId":"request_code_caregiver_code__phone_number__post","parameters":[{"description":"인증을 원하는 핸드폰번호","required":true,"schema":{"title":"핸드폰 번호","type":"string","description":"인증을 원하는 핸드폰번호","example":"01023456789"},"name":"phone_number","in":"path"}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/caregiver/code/{phone_number}/{code}":{"get":{"tags":["Caregiver User Management"],"summary":"Verify Code","description":"# 핸드폰 인증\n\n카카오톡으로 전송된 인증번호 입력\n해당 인증번호는 최근 1달 동안 발급된 번호 중에서 하나라도 맞다면 로그인 가능\n단 이미 사용한 번호는 재 사용 불가","operationId":"verify_code_caregiver_code__phone_number___code__get","parameters":[{"description":"인증을 원하는 핸드폰번호","required":true,"schema":{"title":"핸드폰 번호","type":"string","description":"인증을 원하는 핸드폰번호","example":"01023456789"},"name":"phone_number","in":"path"},{"description":"문자로 발송된 6자리 인증번호","required":true,"schema":{"title":"인증 코드","type":"string","description":"문자로 발송된 6자리 인증번호","example":"002245"},"name":"code","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/blackuser":{"post":{"tags":["Blackuser"],"summary":"Create Blackuser","operationId":"create_blackuser_blackuser_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBlackuserInput"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/blackuser/all":{"get":{"tags":["Blackuser"],"summary":"Get All Blackuser","operationId":"get_all_blackuser_blackuser_all_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/blackuser/{idx}":{"delete":{"tags":["Blackuser"],"summary":"Delete Blackuser","operationId":"delete_blackuser_blackuser__idx__delete","parameters":[{"required":true,"schema":{"title":"블랙리스트 idx","type":"integer","example":1},"name":"idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/patient":{"post":{"tags":["Patient"],"summary":"Create Patient","operationId":"create_patient_patient_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Patient"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/patient/caregiver/accept/{encryption_str}":{"post":{"tags":["Patient"],"summary":"Select Caregiver","operationId":"select_caregiver_patient_caregiver_accept__encryption_str__post","parameters":[{"description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","required":true,"schema":{"title":"간병인 환자를 볼 수 있는 암호화 문자열","type":"string","description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","example":"ejhmWjJTMDYyZTE0anNROUtOUHFRdWpsZ0xEYXQ0dUllOGYxcUVYYmZFR1JVTXNzMkoyNlVab0l1Qk5pcEpQeg=="},"name":"encryption_str","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/patient/caregiver/reject/{encryption_str}":{"post":{"tags":["Patient"],"summary":"Select Caregiver","operationId":"select_caregiver_patient_caregiver_reject__encryption_str__post","parameters":[{"description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","required":true,"schema":{"title":"간병인 환자를 볼 수 있는 암호화 문자열","type":"string","description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","example":"ejhmWjJTMDYyZTE0anNROUtOUHFRdWpsZ0xEYXQ0dUllOGYxcUVYYmZFR1JVTXNzMkoyNlVab0l1Qk5pcEpQeg=="},"name":"encryption_str","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/patient/caregiver/{encryption_str}":{"get":{"tags":["Patient"],"summary":"Select Caregiver","operationId":"select_caregiver_patient_caregiver__encryption_str__get","parameters":[{"description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","required":true,"schema":{"title":"간병인 환자를 볼 수 있는 암호화 문자열","type":"string","description":"AES 암호화를 통해 저장되어 있는 문자열, 간병인 인덱스와 유효기간 포함","example":"ejhmWjJTMDYyZTE0anNROUtOUHFRdWpsZ0xEYXQ0dUllOGYxcUVYYmZFR1JVTXNzMkoyNlVab0l1Qk5pcEpQeg=="},"name":"encryption_str","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__modules__patient__schemas__api_reponse__CaregiverForPatient"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/patient/latest_items":{"get":{"tags":["Patient"],"summary":"Get Patients","description":"# 환자 조회 (프론트페이지 표시용)","operationId":"get_patients_patient_latest_items_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientsForWeb"}}}}}}},"/extra/file":{"post":{"tags":["Extra"],"summary":"Upload File","description":"# 파일 저장 API\n\n헬퍼에서 사용되는 사진들을 저장하는 API\n기본 저장소는 S3를 사용하고 있고 사진의 경우 200*200, 400*400, 600*600 자동 변환 람다를 통해 가능\n\n업로드 후 접속 가능한 해당 url 반환\n200, 400, 600 주소 또는 해당 사이즈 추후 논의 필요","operationId":"upload_file_extra_file_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_file_extra_file_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithUrl"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/extra/career":{"get":{"tags":["Extra"],"summary":"Get Careers","description":"# 경력\n\n간병인을 구할 때 중요하게 생각하는 요소들을 반환해주는 API","operationId":"get_careers_extra_career_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportantCareers"}}}}}}},"/board/{category_id}/articles":{"get":{"tags":["board"],"summary":"Get Article List","description":"게시글 리스트","operationId":"get_article_list_board__category_id__articles_get","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Articles"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/board/{category_id}/articles/{idx}":{"get":{"tags":["board"],"summary":"Get Article","description":"게시글 단일 레코드 조회","operationId":"get_article_board__category_id__articles__idx__get","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"1","required":true,"schema":{"title":"게시글 IDX","type":"integer","description":"1","example":1},"name":"idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Article"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/service/terms_of_service":{"get":{"tags":["Terms"],"summary":"Get Terms Latest Item","description":"서비스이용약관","operationId":"get_terms_latest_item_service_terms_of_service_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}}}}},"/service/terms_of_privacy":{"get":{"tags":["Terms"],"summary":"Get Terms Latest Item","description":"개인정보처리방침","operationId":"get_terms_latest_item_service_terms_of_privacy_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}}}}},"/service/terms_of_event":{"get":{"tags":["Terms"],"summary":"Get Terms Latest Item","description":"이벤트/혜택정보약관","operationId":"get_terms_latest_item_service_terms_of_event_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}}}}},"/service/terms_of_marketing":{"get":{"tags":["Terms"],"summary":"Get Terms Latest Item","description":"헬퍼 광고, 마케팅 약관","operationId":"get_terms_latest_item_service_terms_of_marketing_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}}}}},"/promotion/type/{promotion_type}":{"get":{"tags":["Promotion"],"summary":"Get Promotion By Type","operationId":"get_promotion_by_type_promotion_type__promotion_type__get","parameters":[{"description":"배너인지 팝업인지","required":true,"schema":{"title":"프로모션 종류","allOf":[{"$ref":"#/components/schemas/PromotionEnum"}],"description":"배너인지 팝업인지","example":"banner"},"name":"promotion_type","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/app_manage/info":{"get":{"tags":["[Admin] App Information Manage"],"summary":"Get App Info","description":"서비스 정보 조회","operationId":"get_app_info_admin_app_manage_info_get","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppInfoItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] App Information Manage"],"summary":"Update App Info","description":"서비스 정보 수정","operationId":"update_app_info_admin_app_manage_info_put","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestAppInfo"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/app/{platform}/versions":{"get":{"tags":["[Admin] App Version Manage"],"summary":"Get App Versions","description":"앱 버전관리 리스트","operationId":"get_app_versions_admin_app__platform__versions_get","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppPlatformVersionList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] App Version Manage"],"summary":"Add App Version","description":"앱 버전관리 레코드 생성","operationId":"add_app_version_admin_app__platform__versions_post","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_app_version_admin_app__platform__versions_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/app/{platform}/versions/{idx}":{"get":{"tags":["[Admin] App Version Manage"],"summary":"Get App Version","description":"앱 버전관리 레코드 조회","operationId":"get_app_version_admin_app__platform__versions__idx__get","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppPlatformVersionItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] App Version Manage"],"summary":"Update App Version","description":"앱 버전관리 레코드 수정","operationId":"update_app_version_admin_app__platform__versions__idx__put","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_app_version_admin_app__platform__versions__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] App Version Manage"],"summary":"Delete App Version","description":"앱 버전관리 레코드 삭제","operationId":"delete_app_version_admin_app__platform__versions__idx__delete","parameters":[{"required":true,"schema":{"title":"요청 플랫폼([android|ios])","type":"string","example":"ios"},"name":"platform","in":"path"},{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/board/{category_id}/articles":{"get":{"tags":["[Admin] Board"],"summary":"Get Article List","description":"게시글 리스트","operationId":"get_article_list_admin_board__category_id__articles_get","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Articles"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] Board"],"summary":"Add Article","description":"게시글 단일 레코드 등록","operationId":"add_article_admin_board__category_id__articles_post","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_article_admin_board__category_id__articles_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/board/{category_id}/articles/{idx}":{"get":{"tags":["[Admin] Board"],"summary":"Get Article","description":"게시글 단일 레코드 조회","operationId":"get_article_admin_board__category_id__articles__idx__get","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"1","required":true,"schema":{"title":"게시글 IDX","type":"integer","description":"1","example":1},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Article"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Board"],"summary":"Update Article","description":"게시글 단일 레코드 수정","operationId":"update_article_admin_board__category_id__articles__idx__put","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"1","required":true,"schema":{"title":"게시글 IDX","type":"integer","description":"1","example":1},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_article_admin_board__category_id__articles__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Board"],"summary":"Delete Article","description":"게시글 단일 레코드 삭제","operationId":"delete_article_admin_board__category_id__articles__idx__delete","parameters":[{"description":"notice","required":true,"schema":{"title":"카테고리 ID","type":"string","description":"notice","example":"notice"},"name":"category_id","in":"path"},{"description":"1","required":true,"schema":{"title":"게시글 IDX","type":"integer","description":"1","example":1},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/alarm/caregiver/{caregiver_idx}":{"get":{"tags":["[Admin] caregiver area alarm"],"summary":"Get Alarm","description":"# 해당 간병인 알람 신청 여부 조회\n\n간병인 레코드를 입력해서 해당 간병인이 알람 신청을 하였는지 확인","operationId":"get_alarm_admin_alarm_caregiver__caregiver_idx__get","parameters":[{"required":true,"schema":{"title":"조회하려는 간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/caregiver":{"post":{"tags":["[Admin] Caregiver User Management"],"summary":"Create User","description":"# 간병인 생성\n\n관리자 권한으로 간병인 생성시\n전화번호 인증을 진행하지 않고 생성\n전화번호 인증은 자동으로 인증 처리됨","operationId":"create_user_admin_caregiver_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverWithWork"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/caregiver/{caregiver_idx}":{"get":{"tags":["[Admin] Caregiver User Management"],"summary":"Get Caregiver","description":"# 간병인 상세 조회\n\n조회하려는 간병인 인덱스 요청","operationId":"get_caregiver_admin_caregiver__caregiver_idx__get","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverWithWork"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Caregiver User Management"],"summary":"Update User","description":"# 간병인 정보 변경","operationId":"update_user_admin_caregiver__caregiver_idx__put","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverUpdateForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverWithWork"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Caregiver User Management"],"summary":"Delete Caregiver","description":"# 해당 간병인 삭제","operationId":"delete_caregiver_admin_caregiver__caregiver_idx__delete","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/pass":{"get":{"tags":["[Admin] caregiver pass Management"],"summary":"Get Pass Info","description":"# 서비스 이용권 종류 조회\n\n전체 서비스 이용권 종류 조회\n\n- `period` 의 경우 해당 이용권 기간을 뜻함 즉 1은 1달 의미\n\n- `ios_cost` 의 경우 ios 에서 이용권 가격\n\n- `android_cost` 의 경우 android 에서 이용권 가격\n\n관리자가 승인한 이용권 정보가 구분되어야 하기 때문에 패스 종류중에 admin 패스 존재 항상 필요","operationId":"get_pass_info_admin_pass_get","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePasses"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] caregiver pass Management"],"summary":"Create Pass","description":"# 이용권 정보 생성\n\n과거 이용권 정보는 모두 비활성화 되고 새로운 이용권 정보로 변경\n\n관리자가 승인한 이용권 정보가 구분되어야 하기 때문에 패스 종류중에 admin 패스 존재 필요\n\n해당 admin 패스 관련 정보는 변경 되지 않음 서버에서 처리되고 있기 때문에 사용자용 패스 정보만 업데이트 시켜주면 끝","operationId":"create_pass_admin_pass_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePassForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePasses"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/pass/payment":{"get":{"tags":["[Admin] caregiver pass Management"],"summary":"Get Caregiver Purchase List","description":"# 결제 내역 조회\n\n- 플랫폼 별 (filters=platform(ios)) -> 플랫폼은 android, ios, pc 이렇게 3개 존재\n- 유저별 (filters=caregiver(idx))\n- mix (filters=platform(ios),caregiver(idx))\n\n사용자가 직접 결제 내역과 관리자 임의로 활성화 시킨 내역을 구분하기 위해\n\nservice_pass 정보에 product_id 에 admin 문구 들어감\n\ncaregiver_payment 정보에도 payment_type admin 문구, transaction_receipt 에는 해당 관리자 인덱스, 이름 기록 json 형태로","operationId":"get_caregiver_purchase_list_admin_pass_payment_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPasses"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/pass/caregiver/{caregiver_idx}":{"get":{"tags":["[Admin] caregiver pass Management"],"summary":"Check Is Activate Caregiver Pass","description":"# 패스 활성화 여부\n    만약 활성화 되어 있다면 result 는 true 값\n    비활성화 되어 있다면 result 는 false 값","operationId":"check_is_activate_caregiver_pass_admin_pass_caregiver__caregiver_idx__get","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer"},"name":"caregiver_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] caregiver pass Management"],"summary":"Activate Caregiver Pass","description":"# 이용권 관리자 권한으로 활성화\n\nBody 에 start_date, end_date 를 받아서 임의로 이용권 활성화\n\n해당 start_date, end_date 는 기본적으로 시, 분, 초 까지 입력 가능\n\n만약 해당 일까지만 입력했다면 해당 날짜의 00:00:00 으로 입력됨\n\n## 주의\n\n만약 2021-06-25일까지 활성화 시키고 싶다면 2021-06-26 00:00:00 으로 입력이 되어야 활성화\n\n## 예외\n\n만약 입력한 기간에 활성화 될 수 있는 패스권이 있다면 등록되지 않음","operationId":"activate_caregiver_pass_admin_pass_caregiver__caregiver_idx__post","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer"},"name":"caregiver_idx","in":"path"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPassAdminForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverPass"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/pass/{caregiver_pass_idx}":{"delete":{"tags":["[Admin] caregiver pass Management"],"summary":"Delete Admin Activate Pass","operationId":"delete_admin_activate_pass_admin_pass__caregiver_pass_idx__delete","parameters":[{"required":true,"schema":{"title":"결제 내역 레코드 인덱스","type":"integer","example":1},"name":"caregiver_pass_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/work/{state}/caregiver/{caregiver_idx}":{"get":{"tags":["[Admin] caregiver work Management"],"summary":"Get Caregiver Work List","operationId":"get_caregiver_work_list_admin_work__state__caregiver__caregiver_idx__get","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"},{"description":"apply -> 신청, done -> 매칭 완료","required":true,"schema":{"title":"업무 상태","allOf":[{"$ref":"#/components/schemas/app__modules__caregiver__admin_caregiver_work_router__StateEnum"}],"description":"apply -> 신청, done -> 매칭 완료","example":"apply"},"name":"state","in":"path"},{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientsForAdmin"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/message":{"get":{"tags":["[Admin] Message Management"],"summary":"Get Message Logs","description":"# 문자, 알림톡, 푸시 전송 로그 조회\n\n각 필터는 구분자 `|`로 구분, `filters` 에 쿼리를 넣어서 사용\n모든 필터 섞어서 사용 가능\n\n## 타입 조회\ntype=PUSH\n\ntype은 3종류 존재\n- 알림톡 : ATA\n- 메시지 : SMS\n- 푸시 : PUSH\n\n## 수신자 전화번호 또는 종류\nreceiver=01068149461\n\n푸시의 경우 전체 공지 또는 이벤트, 지역 알람 존재\n\n## 이름으로 조회\nname=홍길동\n\n이름의 경우 모든 메시지에 이름이 들어가지 않기 때문에 전화번호로 조회하는게 좋음\n\n## 기간 조회\nstart_date, end_date\n시작 기간과 종료 기간 넣어서 조회\n\n만약 시작 기간만 설정되어 있다면 종료기간은 시작 기간으로부터 7일\n\n만약 종료기간만 설정되어 있다면 시작기간은 종료 기간으로부터 7일\n\n잘못된 형식이 들어왔을 경우 현재 시점으로부터 7일 전 기록까지 조회\n\nstart_date=2021-05-12 와 같은 형태","operationId":"get_message_logs_admin_message_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageLogs"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/promotion":{"get":{"tags":["[Admin] Promotion Management"],"summary":"Get All Promotions","operationId":"get_all_promotions_admin_promotion_get","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] Promotion Management"],"summary":"Create Promotion","operationId":"create_promotion_admin_promotion_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromotionForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotion"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/promotion/{promotion_idx}":{"get":{"tags":["[Admin] Promotion Management"],"summary":"Get Promotion By Type","operationId":"get_promotion_by_type_admin_promotion__promotion_idx__get","parameters":[{"required":true,"schema":{"title":"레코드 인덱스","type":"integer","example":"1"},"name":"promotion_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotion"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Promotion Management"],"summary":"Update Promotion By Idx","description":"# 프로모션 업데이트","operationId":"update_promotion_by_idx_admin_promotion__promotion_idx__put","parameters":[{"description":"업데이트 하려는 레코드 인덱스","required":true,"schema":{"title":"레코드 인덱스","type":"integer","description":"업데이트 하려는 레코드 인덱스","example":"1"},"name":"promotion_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromotionItemUpdateForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotion"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Promotion Management"],"summary":"Delete Promotion By Idx","operationId":"delete_promotion_by_idx_admin_promotion__promotion_idx__delete","parameters":[{"required":true,"schema":{"title":"레코드 인덱스","type":"integer","example":"1"},"name":"promotion_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/promotion/type/{promotion_type}":{"get":{"tags":["[Admin] Promotion Management"],"summary":"Get Promotion By Type","operationId":"get_promotion_by_type_admin_promotion_type__promotion_type__get","parameters":[{"required":true,"schema":{"title":"타입","allOf":[{"$ref":"#/components/schemas/PromotionEnum"}],"example":"banner"},"name":"promotion_type","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Promotion Management"],"summary":"Update Promotion Sequence","operationId":"update_promotion_sequence_admin_promotion_type__promotion_type__put","parameters":[{"required":true,"schema":{"title":"타입","allOf":[{"$ref":"#/components/schemas/PromotionEnum"}],"example":"banner"},"name":"promotion_type","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromotionUpdateForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Promotions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/statistics/caregiver":{"get":{"tags":["[Admin] Statistics"],"summary":"Get Daily Caregiver Numbers","operationId":"get_daily_caregiver_numbers_admin_statistics_caregiver_get","parameters":[{"required":true,"schema":{"title":"기간 조회 시작","type":"string","format":"date"},"name":"start_date","in":"query"},{"required":true,"schema":{"title":"기간 조회 종료","type":"string","format":"date"},"name":"end_date","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormalStatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/statistics/patient":{"get":{"tags":["[Admin] Statistics"],"summary":"Get Daily Patient Numbers","operationId":"get_daily_patient_numbers_admin_statistics_patient_get","parameters":[{"required":true,"schema":{"title":"기간 조회 시작","type":"string","format":"date"},"name":"start_date","in":"query"},{"required":true,"schema":{"title":"기간 조회 종료","type":"string","format":"date"},"name":"end_date","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormalStatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/statistics/match":{"get":{"tags":["[Admin] Statistics"],"summary":"Get Daily Match Numbers","operationId":"get_daily_match_numbers_admin_statistics_match_get","parameters":[{"required":true,"schema":{"title":"기간 조회 시작","type":"string","format":"date"},"name":"start_date","in":"query"},{"required":true,"schema":{"title":"기간 조회 종료","type":"string","format":"date"},"name":"end_date","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NormalStatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/statistics/profit":{"get":{"tags":["[Admin] Statistics"],"summary":"Get Weekly Profit Amounts","operationId":"get_weekly_profit_amounts_admin_statistics_profit_get","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__modules__app_management__schemas__api_response__ProfitStatistics"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/push/sns/topics":{"get":{"tags":["[Admin] Push management"],"summary":"Get Sns Topics","operationId":"get_sns_topics_admin_push_sns_topics_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__modules__app_management__schemas__api_response__Topics"}}}}}}},"/admin/push/topic/{topic_name}/address":{"get":{"tags":["[Admin] Push management"],"summary":"Get Aws Sns Topic Address","description":"# Aws sns 주제 주소 불러오기\n    - `all` 은 전체 회원\n    - `event` 는 마케팅 알림 동의 신청 회원\n    - 그 외 지역 인덱스","operationId":"get_aws_sns_topic_address_admin_push_topic__topic_name__address_get","parameters":[{"required":true,"schema":{"title":"토픽 이름","allOf":[{"$ref":"#/components/schemas/TopicEnum"}],"example":"all"},"name":"topic_name","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TopicSnsAddress"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/push/caregiver/{caregiver_idx}/address":{"get":{"tags":["[Admin] Push management"],"summary":"Get Aws Sns Address By Caregiver","description":"# 간병인 AWS sns 주소 불러오기","operationId":"get_aws_sns_address_by_caregiver_admin_push_caregiver__caregiver_idx__address_get","parameters":[{"required":true,"schema":{"title":"간병인 레코드 인덱스","type":"integer","example":1},"name":"caregiver_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaregiverSnsAddress"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/push/":{"post":{"tags":["[Admin] Push management"],"summary":"Send Push Notification","operationId":"send_push_notification_admin_push__post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminPushForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/patient":{"get":{"tags":["[Admin] Patient management"],"summary":"Get Patients","description":"# 환자 조회 (관리자)\n\n관리자의 경우 숨겨지거나 매칭 완료된 내역 모두 조회 가능\n\n매칭 완료 되어도, 삭제 되어도 조회 가능\n\n# 검색필터\n\n- gender: 'male', 'female'\n- location: 시/도 - 큰 분류의 시, 도 레코드 인덱스 요청 ( 전체의 경우 해당 필터 포함 X)\n- detail_location: 시/군/구 - 작은 분류의 인덱스 요청 ( 전체의 경우 상위 location 레코드 인덱스만 전달)\n- index: 환자 레코드 - 단일 레코드를 요청 (해당 필터가 들어갈 경우 다른 필터 적요되지 않고 우선 적용)\n- match: 매칭 진행중, 완료 구분 - 완료 된 레코드들의 경우 done 진행중인 경우 apply 로 요청 ( 해당 필터 적용시 삭제된 환자는 보이지 않음)\n```\n    # 여성, 경기도, 수원시 장안구\n    gender=female|location=10|detail_location=102\n\n    # 성별 무관, 경기도\n    location=10\n\n    # 성별 남성, 전국\n    gender=male\n\n    # 가져오려는 단일 레코드\n    index=1\n\n    # 매칭 진행중, 완료\n    match=done or apply\n```","operationId":"get_patients_admin_patient_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminForPatients"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["[Admin] Patient management"],"summary":"Create Patient","operationId":"create_patient_admin_patient_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminForPatient"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/patient/{patient_idx}":{"get":{"tags":["[Admin] Patient management"],"summary":"Get Patient","operationId":"get_patient_admin_patient__patient_idx__get","parameters":[{"required":true,"schema":{"title":"환자 레코드 인덱스","type":"integer","example":1},"name":"patient_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminForPatient"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Patient management"],"summary":"Update Patient","operationId":"update_patient_admin_patient__patient_idx__put","parameters":[{"required":true,"schema":{"title":"환자 레코드 인덱스","type":"integer","example":1},"name":"patient_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientUpdateForm"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminForPatient"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Patient management"],"summary":"Delete Patient","operationId":"delete_patient_admin_patient__patient_idx__delete","parameters":[{"required":true,"schema":{"title":"Patient Idx","type":"integer","example":1},"name":"patient_idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResultWithMessage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/patient/{patient_idx}/match_info":{"get":{"tags":["[Admin] Patient management"],"summary":"Get Patient Match Info","operationId":"get_patient_match_info_admin_patient__patient_idx__match_info_get","parameters":[{"required":true,"schema":{"title":"환자 레코드 인덱스","type":"integer","example":1},"name":"patient_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientMatchInfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_service/list":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms List","description":"서비스이용약관 리스트","operationId":"get_terms_list_admin_service_terms_of_service_list_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_service/item_add":{"post":{"tags":["[Admin] Terms"],"summary":"Add Terms Item","description":"서비스이용약관 레코드 생성","operationId":"add_terms_item_admin_service_terms_of_service_item_add_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_terms_item_admin_service_terms_of_service_item_add_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_service/item/{idx}":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms Item","description":"서비스이용약관 단일 아이템 조회","operationId":"get_terms_item_admin_service_terms_of_service_item__idx__get","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Terms"],"summary":"Update Terms Item","description":"서비스이용약관 레코드 수정","operationId":"update_terms_item_admin_service_terms_of_service_item__idx__put","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_terms_item_admin_service_terms_of_service_item__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Terms"],"summary":"Delete Terms Item","description":"서비스이용약관 레코드 삭제","operationId":"delete_terms_item_admin_service_terms_of_service_item__idx__delete","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_privacy/list":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms List","description":"개인정보처리방침 리스트","operationId":"get_terms_list_admin_service_terms_of_privacy_list_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_privacy/item_add":{"post":{"tags":["[Admin] Terms"],"summary":"Add Terms Item","description":"개인정보처리방침 레코드 생성","operationId":"add_terms_item_admin_service_terms_of_privacy_item_add_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_terms_item_admin_service_terms_of_privacy_item_add_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_privacy/item/{idx}":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms Item","description":"개인정보처리방침 단일 아이템 조회","operationId":"get_terms_item_admin_service_terms_of_privacy_item__idx__get","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Terms"],"summary":"Update Terms Item","description":"개인정보처리방침 레코드 수정","operationId":"update_terms_item_admin_service_terms_of_privacy_item__idx__put","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_terms_item_admin_service_terms_of_privacy_item__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Terms"],"summary":"Delete Terms Item","description":"개인정보처리방침 레코드 삭제","operationId":"delete_terms_item_admin_service_terms_of_privacy_item__idx__delete","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_event/list":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms List","description":"이벤트/혜택정보약관 리스트","operationId":"get_terms_list_admin_service_terms_of_event_list_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_event/item_add":{"post":{"tags":["[Admin] Terms"],"summary":"Add Terms Item","description":"이벤트/혜택정보약관 레코드 생성","operationId":"add_terms_item_admin_service_terms_of_event_item_add_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_terms_item_admin_service_terms_of_event_item_add_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_event/item/{idx}":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms Item","description":"이벤트/혜택정보약관 단일 아이템 조회","operationId":"get_terms_item_admin_service_terms_of_event_item__idx__get","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Terms"],"summary":"Update Terms Item","description":"이벤트/혜택정보약관 레코드 수정","operationId":"update_terms_item_admin_service_terms_of_event_item__idx__put","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_terms_item_admin_service_terms_of_event_item__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Terms"],"summary":"Delete Terms Item","description":"이벤트/혜택정보약관 레코드 삭제","operationId":"delete_terms_item_admin_service_terms_of_event_item__idx__delete","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_marketing/list":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms List","description":"헬퍼 광고, 마케팅 약관 리스트","operationId":"get_terms_list_admin_service_terms_of_marketing_list_get","parameters":[{"description":"페이지 번호를 지정합니다. 기본은 1입니다","required":false,"schema":{"title":"페이지 넘버","type":"integer","description":"페이지 번호를 지정합니다. 기본은 1입니다","default":1,"example":1},"name":"page","in":"query"},{"description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","required":false,"schema":{"title":"페이지당 검색 개수","type":"integer","description":"페이지당 검색 결과 개수를 지정합니다. 기본은 10입니다","default":10,"example":10},"name":"limit","in":"query"},{"description":"검색 가능한 Query String 을 입력해주세요","required":false,"schema":{"title":"검색 쿼리","type":"string","description":"검색 가능한 Query String 을 입력해주세요"},"name":"query","in":"query"},{"required":false,"schema":{"title":"검색 필터","type":"string"},"name":"filters","in":"query"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsList"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_marketing/item_add":{"post":{"tags":["[Admin] Terms"],"summary":"Add Terms Item","description":"헬퍼 광고, 마케팅 약관 레코드 생성","operationId":"add_terms_item_admin_service_terms_of_marketing_item_add_post","parameters":[{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_add_terms_item_admin_service_terms_of_marketing_item_add_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/service/terms_of_marketing/item/{idx}":{"get":{"tags":["[Admin] Terms"],"summary":"Get Terms Item","description":"헬퍼 광고, 마케팅 약관 단일 아이템 조회","operationId":"get_terms_item_admin_service_terms_of_marketing_item__idx__get","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["[Admin] Terms"],"summary":"Update Terms Item","description":"헬퍼 광고, 마케팅 약관 레코드 수정","operationId":"update_terms_item_admin_service_terms_of_marketing_item__idx__put","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_update_terms_item_admin_service_terms_of_marketing_item__idx__put"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsItem"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["[Admin] Terms"],"summary":"Delete Terms Item","description":"헬퍼 광고, 마케팅 약관 레코드 삭제","operationId":"delete_terms_item_admin_service_terms_of_marketing_item__idx__delete","parameters":[{"required":true,"schema":{"title":"레코드 idx","type":"integer"},"name":"idx","in":"path"},{"required":false,"schema":{"title":"Authorization","type":"string"},"name":"authorization","in":"header"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Result"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvalidRequestExceptionScheme"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenExpiredExceptionScheme"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/extra/address":{"get":{"tags":["Extra"],"summary":"Get Addresses","description":"# 주소 요청\n\n대분류의 (시/도) 주소를 얻을 수 있는 API\n\n하위 (시/군/구) 의 경우 대분류에 비해 적게 사용될 것으로 생각되어\n전체 조회는 페이지네이션 없이 대분류만 가능","operationId":"get_addresses_extra_address_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressList"}}}}}}},"/extra/address/{address_idx}":{"get":{"tags":["Extra"],"summary":"Get Address Parent By Idx","description":"# 상위 주소 검색\n\n하위 주소 인덱스 요청시 상위 주소 반환","operationId":"get_address_parent_by_idx_extra_address__address_idx__get","parameters":[{"required":true,"schema":{"title":"조회하려는 하위 주소 인덱스","type":"integer","example":1},"name":"address_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressItem"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/extra/address/detail/{address_idx}":{"get":{"tags":["Extra"],"summary":"Get Address Child By Idx","description":"# 하위 주소 검색\n\n상위 주소 인덱스 요청시 하위 주소 반환","operationId":"get_address_child_by_idx_extra_address_detail__address_idx__get","parameters":[{"required":true,"schema":{"title":"조회하려는 부모 주소 인덱스","type":"integer","example":1},"name":"address_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/extra/address/single/{address_idx}":{"get":{"tags":["Extra"],"summary":"Get Address By Idx","description":"# 단일 주소 레코드 조회","operationId":"get_address_by_idx_extra_address_single__address_idx__get","parameters":[{"required":true,"schema":{"title":"조회하려는 주소 레코드 인덱스","type":"integer","example":1},"name":"address_idx","in":"path"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressItem"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/admin/address/list":{"get":{"tags":["[Admin] Address Management"],"summary":"Get Terms List","description":"주소 리스트","operationId":"get_terms_list_admin_address_list_get","parameters":
[...]
